from django.urls import path

from . import views

app_name = 'gallery'

urlpatterns = [

    # Main page
    path('', views.Main.as_view(), name='main_url'),

    # Top kuvat
    path('photostream/', views.PhotosList.as_view(), name='photos_url'),

    # Yksittäinen kuva albumissa:
    path('albums/<path:album_path>/<int:photo_slug>/', views.PhotoDetail.as_view(), name="photo_url"),

    # Albumin yksityiskohdat:
    path('albums/<path:album_slug>/', views.AlbumDetail.as_view(), name="album_url"),

    # Albumien lista:
    path('albums/', views.AlbumsList.as_view(), name='albums_url'),

]
